package com.ywt.mg.domain.models.enums;

public enum PrescriptionInfoSourceEnum {

    //    GY3Y("广州医科大学附属第三医院", 1),
//    APP("APP", 2),
//    TH_DOCTOR_WX("太和医生端公众号", 12),
    GY3Y("广州医科大学附属第三医院", 1),
    PLATFORM("平台系统", 2),
    PC("PC", 3),
    NFYYTHFY("南方医院太和分院", 4),
    NFYYBYFY("南方医院白云分院", 5),
    UNKONWN("",0);


    private final String displayName;

    private final int value;

    PrescriptionInfoSourceEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static PrescriptionInfoSourceEnum getSource(int value) {
        for (PrescriptionInfoSourceEnum e : PrescriptionInfoSourceEnum.values()) {
            if (e.value == value) {
                return e;
            }
        }
        return UNKONWN;
    }
}
